Bug 35099 - [Patch] Default pub does not use i18n
Summary: [Patch] Default pub does not use i18n
Status: RESOLVED FIXED
Alias: None
Product: Lenya
Classification: Unclassified
Component: i18n (Internationalization) (show other bugs)
Version: 1.2.2
Hardware: All All
: P2 minor
Target Milestone: 1.4
Assignee: Lenya Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-27 08:28 UTC by solprovider
Modified: 2005-06-02 20:51 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description solprovider 2005-05-27 08:28:28 UTC
The default publication does not use i18n for content pages, just error
messages.  (It also has no link to change laguages, even though
content//*_de.xml files are included.)

FIX: pubs/default/publication-sitemap.xmap
 <map:match pattern="lenyabody-*/*/*/*/**">
      <map:aggregate element="cmsbody">
...
      <map:transform src="xslt/page2xhtml-{4}.xsl">
...
      </map:transform>
<!-- ADD THESE 3 LINES -->
      <map:transform type="i18n">
             <map:parameter name="locale"
value="{page-envelope:document-language}"/>
      </map:transform>
      <map:select type="parameter">
Comment 1 Gregor J. Rothfuss 2005-06-03 04:51:36 UTC
thanks, applied